## flx 0.6.1

=== Makefile ===
EMACS=emacs
EMACS23=emacs23
EMACS-OPTIONS=

ELS  = flx.el
ELS += flx-ido.el
TEST_ELCS = $(wildcard tests/*.elc)

ELCS = $(ELS:.el=.elc)

.PHONY: test test-nw travis-ci show-version before-test clean

all: $(ELCS)

clean:
	$(RM) $(ELCS) $(TEST_ELCS)

show-version:
	echo "*** Emacs version ***"
	echo "EMACS = `which ${EMACS}`"
	${EMACS} --version

install-ert:
	emacs --batch -L "${PWD}/lib/ert/lisp/emacs-lisp" --eval "(require 'ert)" || ( git clone git://github.com/ohler/ert.git lib/ert && cd lib/ert && git checkout 00aef6e43 )


before-test: show-version install-ert

test: before-test
	${EMACS} -Q -L . -l tests/run-test.el

test-nw: before-test
	${EMACS} -Q -nw -L . -l tests/run-test.el

travis-ci: before-test
	echo ${EMACS-OPTIONS}
	${EMACS} -batch -Q -l tests/run-test.el

%.elc: %.el
	${EMACS} -batch -Q -L . -f batch-byte-compile $<

=== debian/changelog ===
flx (0.6.1-7) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * Drop emacs24 from Enhances (package does not exist in bullseye).

  [ Sean Whitton ]
  * Orphan package.
  * Run 'wrap-and-sort -ast'.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on dh-elpa (>= 0.0.17).
    + Build-Depends: Drop versioned constraint on elpa-async (>= 1.4).
    + elpa-flx: Drop versioned constraint on emacs (>= 46.0) in Recommends.
    + elpa-flx-ido: Drop versioned constraint on emacs (>= 46.0) in Recommends.
  * Bump debhelper from deprecated 9 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Update renamed lintian tag names in lintian overrides.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Drop unnecessary dh arguments: --parallel
  * Update standards version to 4.7.0, no changes needed.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 03 Apr 2025 09:13:32 +0800

flx (0.6.1-6) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 20:34:06 +0900

flx (0.6.1-5) unstable; urgency=medium

  * Team upload
  * Fix Vcs-Git url

 -- David Bremner <bremner@debian.org>  Tue, 26 Jan 2021 07:21:58 -0400

flx (0.6.1-4) unstable; urgency=medium

  * Team upload
  * Rebuild with dh-elpa 2.x

 -- David Bremner <bremner@debian.org>  Tue, 26 Jan 2021 07:17:30 -0400

flx (0.6.1-3) unstable; urgency=medium

  * Team upload.
  * Rebuild with current dh-elpa

 -- David Bremner <bremner@debian.org>  Mon, 26 Aug 2019 16:35:46 -0300

flx (0.6.1-2) unstable; urgency=medium

  * Rebuild against newer dh-elpa to fix byte compilation against
    unversioned bin:emacs.
  * Drop d/source/local-options for dgit.
  * Update Maintainer field for team rename.
  * Correct dependency emacs->emacsen-common.
  * Point Vcs-* at salsa.
  * Declare compliance with Debian Policy 4.1.4.
    - Drop Built-Using.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 03 Jun 2018 19:06:01 +0100

flx (0.6.1-1) unstable; urgency=medium

  * Initial release. (Closes: #807846)

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 24 Jan 2016 21:46:16 -0700

=== debian/control ===
Source: flx
Section: lisp
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13), dh-elpa, elpa-async
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/emacsen-team/flx
Vcs-Git: https://salsa.debian.org/emacsen-team/flx.git/
Homepage: https://github.com/lewang/flx

Package: elpa-flx
Architecture: all
Depends: ${misc:Depends}, emacsen-common
Recommends: emacs
Enhances: emacs
Description: sorting algorithm for fuzzy matching in Emacs
 The flx sorting algorithm for Emacs provides fuzzy matching for
 completion engines like Ido.  It is similar to the fuzzy matching
 functionality of Sublime Text.
 .
 The user can input (i) characters from the beginning of the words of
 the desired match and (ii) substrings of the desired match.  For
 example, when matching "save-all-buffers", the user could input
 "sallb", and when matching "eval-buffer" the user could input
 "ebuffer".
 .
 The flx sorting algorithm implements an intelligent trade-off between
 word beginnings and contiguous substrings when ranking possible
 matches.

Package: elpa-flx-ido
Architecture: all
Depends: ${misc:Depends}, emacsen-common, ${elpa:Depends}
Recommends: emacs
Enhances: emacs
Description: allows Emacs Ido to use the flx sorting algorithm
 The flx sorting algorithm for Emacs provides fuzzy matching for
 completion engines like Ido.  It is similar to the fuzzy matching
 functionality of Sublime Text.
 .
 The user can input (i) characters from the beginning of the words of
 the desired match and (ii) substrings of the desired match.  For
 example, when matching "save-all-buffers", the user could input
 "sallb", and when matching "eval-buffer" the user could input
 "ebuffer".
 .
 The flx sorting algorithm implements an intelligent trade-off between
 word beginnings and contiguous substrings when ranking possible
 matches.
 .
 This package allows Emacs Ido to use the flx sorting algorithm.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_installdocs:
	dh_installdocs --link-doc=elpa-flx
